/***************************************************************
 * Name:      PIC_USBMain.h
 * Purpose:   Defines Application Frame
 * Author:    Arnas ()
 * Created:   2012-11-05
 * Copyright: Arnas ()
 * License:
 **************************************************************/

#ifndef PIC_USBMAIN_H
#define PIC_USBMAIN_H

//(*Headers(PIC_USBFrame)
#include <wx/notebook.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/menu.h>
#include <wx/textctrl.h>
#include <wx/checkbox.h>
#include <wx/statline.h>
#include <wx/sashwin.h>
#include <wx/slider.h>
#include <wx/panel.h>
#include <wx/choice.h>
#include <wx/bmpbuttn.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/timer.h>
#include <wx/statusbr.h>
//*)

class PIC_USBFrame: public wxFrame
{
    public:

        PIC_USBFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~PIC_USBFrame();

    public:

        //(*Handlers(PIC_USBFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        void OnButton4Click(wxCommandEvent& event);
        void OnButton5Click(wxCommandEvent& event);
        void OnButton6Click(wxCommandEvent& event);
        void OnButton7Click(wxCommandEvent& event);
        void OnButton8Click(wxCommandEvent& event);
        void OnButton3Click(wxCommandEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnCheckBox1Click(wxCommandEvent& event);
        void OnCheckBox2Click(wxCommandEvent& event);
        void OnCheckBox3Click(wxCommandEvent& event);
        void OnCheckBox4Click(wxCommandEvent& event);
        void OnCheckBox5Click(wxCommandEvent& event);
        void OnCheckBox6Click(wxCommandEvent& event);
        void OnCheckBox7Click(wxCommandEvent& event);
        void OnCheckBox8Click(wxCommandEvent& event);
        void OnCheckBox2Click1(wxCommandEvent& event);
        void OnCheckBox9Click(wxCommandEvent& event);
        void OnCheckBox10Click(wxCommandEvent& event);
        void OnCheckBox11Click(wxCommandEvent& event);
        void OnCheckBox12Click(wxCommandEvent& event);
        void OnCheckBox13Click(wxCommandEvent& event);
        void OnCheckBox14Click(wxCommandEvent& event);
        void OnCheckBox15Click(wxCommandEvent& event);
        void OnCheckBox16Click(wxCommandEvent& event);
        void OnNotebook1PageChanged(wxNotebookEvent& event);
        void OnCheckBox20Click(wxCommandEvent& event);
        void OnCheckBox21Click(wxCommandEvent& event);
        void OnCheckBox22Click(wxCommandEvent& event);
        void OnCheckBox20Click1(wxCommandEvent& event);
        void OnCheckBox7Click1(wxCommandEvent& event);
        void OnCheckBox8Click1(wxCommandEvent& event);
        void OnCheckBox9Click1(wxCommandEvent& event);
        void OnCheckBox10Click1(wxCommandEvent& event);
        void OnPanel4Paint(wxPaintEvent& event);
        void OnCheckBox11Click1(wxCommandEvent& event);
        void OnCheckBox12Click1(wxCommandEvent& event);
        void OnCheckBox13Click1(wxCommandEvent& event);
        void OnCheckBox14Click1(wxCommandEvent& event);
        void OnButton1Click1(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        void OnButton2Click1(wxCommandEvent& event);
        void OnButton1Click2(wxCommandEvent& event);
        void OnSlider1CmdScroll(wxScrollEvent& event);
        void OnCheckBox15Click1(wxCommandEvent& event);
        void OnCheckBox16Click1(wxCommandEvent& event);
        void OnCheckBox17Click(wxCommandEvent& event);
        void OnCheckBox18Click(wxCommandEvent& event);
        void OnCheckBox19Click(wxCommandEvent& event);
        void OnButton3Click1(wxCommandEvent& event);
        void OnBitmapButton3Click(wxCommandEvent& event);
        void OnBitmapButton1Click(wxCommandEvent& event);
        void OnBitmapButton5Click(wxCommandEvent& event);
        void OnBitmapButton2Click(wxCommandEvent& event);
        void OnBitmapButton4Click(wxCommandEvent& event);
        void OnTimer2Trigger(wxTimerEvent& event);
        void OnBitmapButton6Click(wxCommandEvent& event);
        void OnBitmapButton7Click(wxCommandEvent& event);
        void OnSlider6CmdScroll(wxScrollEvent& event);
        void OnButton5Click1(wxCommandEvent& event);
        void OnButton6Click1(wxCommandEvent& event);
        void OnTimer3Trigger(wxTimerEvent& event);
        void OnButton8Click1(wxCommandEvent& event);
        void OnButton9Click(wxCommandEvent& event);
        void OnButton7Click1(wxCommandEvent& event);
        void OnSlider3CmdScroll(wxScrollEvent& event);
        void OnSlider3CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider4CmdScroll(wxScrollEvent& event);
        void OnSlider4CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider10CmdScroll(wxScrollEvent& event);
        void OnSlider10CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider7CmdScroll(wxScrollEvent& event);
        void OnSlider7CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider8CmdScroll(wxScrollEvent& event);
        void OnSlider8CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider9CmdScroll(wxScrollEvent& event);
        void OnSlider9CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider11CmdScroll(wxScrollEvent& event);
        void OnSlider11CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider12CmdScroll(wxScrollEvent& event);
        void OnSlider12CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider13CmdScroll(wxScrollEvent& event);
        void OnSlider13CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider14CmdScroll(wxScrollEvent& event);
        void OnSlider14CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider15CmdScroll(wxScrollEvent& event);
        void OnSlider15CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider16CmdScroll(wxScrollEvent& event);
        void OnSlider16CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider17CmdScroll(wxScrollEvent& event);
        void OnSlider17CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider18CmdScroll(wxScrollEvent& event);
        void OnSlider18CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider19CmdScroll(wxScrollEvent& event);
        void OnSlider19CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider20CmdScroll(wxScrollEvent& event);
        void OnSlider20CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider21CmdScroll(wxScrollEvent& event);
        void OnSlider21CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider22CmdScroll(wxScrollEvent& event);
        void OnSlider22CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider23CmdScroll(wxScrollEvent& event);
        void OnSlider23CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider24CmdScroll(wxScrollEvent& event);
        void OnSlider24CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider25CmdScroll(wxScrollEvent& event);
        void OnSlider25CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider26CmdScroll(wxScrollEvent& event);
        void OnSlider26CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider27CmdScroll(wxScrollEvent& event);
        void OnSlider27CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider28CmdScroll(wxScrollEvent& event);
        void OnSlider28CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider29CmdScroll(wxScrollEvent& event);
        void OnSlider29CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider30CmdScroll(wxScrollEvent& event);
        void OnSlider30CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider31CmdScroll(wxScrollEvent& event);
        void OnSlider31CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider32CmdScroll(wxScrollEvent& event);
        void OnSlider32CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider33CmdScroll(wxScrollEvent& event);
        void OnSlider33CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider34CmdScroll(wxScrollEvent& event);
        void OnSlider34CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider35CmdScroll(wxScrollEvent& event);
        void OnSlider35CmdSliderUpdated(wxScrollEvent& event);
        void OnSlider36CmdScroll(wxScrollEvent& event);
        void OnSlider36CmdSliderUpdated(wxScrollEvent& event);
        void OnButton4Click1(wxCommandEvent& event);
        //*)

        //(*Identifiers(PIC_USBFrame)
        static const long ID_CHECKBOX1;
        static const long ID_CHECKBOX2;
        static const long ID_CHECKBOX3;
        static const long ID_CHECKBOX4;
        static const long ID_CHECKBOX5;
        static const long ID_CHECKBOX6;
        static const long ID_STATICTEXT1;
        static const long ID_STATICLINE1;
        static const long ID_STATICLINE10;
        static const long ID_STATICTEXT13;
        static const long ID_STATICTEXT15;
        static const long ID_STATICTEXT17;
        static const long ID_STATICTEXT19;
        static const long ID_STATICTEXT21;
        static const long ID_STATICLINE13;
        static const long ID_STATICTEXT23;
        static const long ID_STATICTEXT24;
        static const long ID_STATICTEXT25;
        static const long ID_STATICTEXT26;
        static const long ID_STATICLINE14;
        static const long ID_STATICTEXT16;
        static const long ID_STATICTEXT18;
        static const long ID_STATICTEXT20;
        static const long ID_STATICTEXT22;
        static const long ID_STATICTEXT28;
        static const long ID_STATICTEXT29;
        static const long ID_STATICTEXT30;
        static const long ID_STATICTEXT31;
        static const long ID_PANEL3;
        static const long ID_CHECKBOX7;
        static const long ID_CHECKBOX8;
        static const long ID_CHECKBOX9;
        static const long ID_CHECKBOX10;
        static const long ID_CHECKBOX11;
        static const long ID_CHECKBOX12;
        static const long ID_CHECKBOX13;
        static const long ID_CHECKBOX14;
        static const long ID_STATICTEXT2;
        static const long ID_STATICLINE2;
        static const long ID_STATICTEXT6;
        static const long ID_STATICLINE6;
        static const long ID_PANEL4;
        static const long ID_STATICTEXT3;
        static const long ID_CHECKBOX15;
        static const long ID_CHECKBOX16;
        static const long ID_CHECKBOX17;
        static const long ID_CHECKBOX18;
        static const long ID_CHECKBOX19;
        static const long ID_STATICLINE3;
        static const long ID_STATICLINE7;
        static const long ID_STATICTEXT7;
        static const long ID_STATICTEXT33;
        static const long ID_STATICTEXT34;
        static const long ID_PANEL5;
        static const long ID_CHECKBOX20;
        static const long ID_STATICTEXT4;
        static const long ID_CHECKBOX21;
        static const long ID_CHECKBOX22;
        static const long ID_CHECKBOX23;
        static const long ID_CHECKBOX24;
        static const long ID_CHECKBOX25;
        static const long ID_CHECKBOX26;
        static const long ID_CHECKBOX27;
        static const long ID_STATICLINE4;
        static const long ID_STATICLINE8;
        static const long ID_STATICTEXT11;
        static const long ID_PANEL6;
        static const long ID_CHECKBOX28;
        static const long ID_CHECKBOX29;
        static const long ID_CHECKBOX30;
        static const long ID_CHECKBOX31;
        static const long ID_STATICLINE5;
        static const long ID_STATICTEXT5;
        static const long ID_STATICLINE9;
        static const long ID_STATICTEXT12;
        static const long ID_PANEL7;
        static const long ID_STATICTEXT8;
        static const long ID_STATICLINE11;
        static const long ID_STATICTEXT9;
        static const long ID_STATICTEXT10;
        static const long ID_SLIDER1;
        static const long ID_SLIDER2;
        static const long ID_SLIDER5;
        static const long ID_SLIDER6;
        static const long ID_BUTTON1;
        static const long ID_BUTTON3;
        static const long ID_STATICTEXT14;
        static const long ID_BITMAPBUTTON6;
        static const long ID_BITMAPBUTTON1;
        static const long ID_BITMAPBUTTON7;
        static const long ID_BITMAPBUTTON2;
        static const long ID_BITMAPBUTTON3;
        static const long ID_BITMAPBUTTON4;
        static const long ID_BITMAPBUTTON5;
        static const long ID_BUTTON5;
        static const long ID_BUTTON6;
        static const long ID_STATICTEXT32;
        static const long ID_BUTTON2;
        static const long ID_PANEL1;
        static const long ID_SLIDER3;
        static const long ID_SLIDER21;
        static const long ID_SLIDER4;
        static const long ID_SLIDER22;
        static const long ID_SLIDER10;
        static const long ID_SLIDER23;
        static const long ID_SLIDER7;
        static const long ID_SLIDER24;
        static const long ID_SLIDER8;
        static const long ID_SLIDER25;
        static const long ID_SLIDER9;
        static const long ID_SLIDER26;
        static const long ID_SLIDER11;
        static const long ID_SLIDER27;
        static const long ID_SLIDER12;
        static const long ID_SLIDER28;
        static const long ID_SLIDER13;
        static const long ID_SLIDER29;
        static const long ID_SLIDER14;
        static const long ID_SLIDER30;
        static const long ID_SLIDER15;
        static const long ID_SLIDER31;
        static const long ID_SLIDER16;
        static const long ID_SLIDER32;
        static const long ID_SLIDER17;
        static const long ID_SLIDER33;
        static const long ID_SLIDER18;
        static const long ID_SLIDER34;
        static const long ID_SLIDER19;
        static const long ID_SLIDER35;
        static const long ID_SLIDER20;
        static const long ID_SLIDER36;
        static const long ID_STATICTEXT27;
        static const long ID_CHOICE2;
        static const long ID_SLIDER37;
        static const long ID_STATICTEXT35;
        static const long ID_CHOICE1;
        static const long ID_STATICTEXT36;
        static const long ID_TEXTCTRL1;
        static const long ID_STATICTEXT37;
        static const long ID_TEXTCTRL2;
        static const long ID_BUTTON4;
        static const long ID_TEXTCTRL3;
        static const long ID_BUTTON8;
        static const long ID_BUTTON7;
        static const long ID_BUTTON9;
        static const long ID_PANEL2;
        static const long ID_NOTEBOOK1;
        static const long ID_SASHWINDOW1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        static const long ID_TIMER1;
        static const long ID_TIMER2;
        static const long ID_TIMER3;
        static const long ID_TIMER4;
        //*)

        //(*Declarations(PIC_USBFrame)
        wxSlider* Slider1;
        wxStaticText* StaticText10;
        wxStaticText* StaticText22;
        wxStaticText* StaticText9;
        wxSlider* Slider17;
        wxSlider* Slider26;
        wxStaticText* StaticText20;
        wxPanel* Panel5;
        wxTimer Timer3;
        wxCheckBox* CheckBox9;
        wxStaticLine* StaticLine8;
        wxButton* Button4;
        wxSlider* Slider10;
        wxSlider* Slider2;
        wxCheckBox* CheckBox25;
        wxStaticText* StaticText29;
        wxBitmapButton* BitmapButton5;
        wxCheckBox* CheckBox23;
        wxSashWindow* SashWindow1;
        wxNotebook* Notebook1;
        wxStaticText* StaticText37;
        wxSlider* Slider35;
        wxStaticLine* StaticLine10;
        wxStaticText* StaticText33;
        wxStaticText* StaticText13;
        wxSlider* Slider28;
        wxStaticText* StaticText2;
        wxTimer Timer4;
        wxPanel* Panel4;
        wxStaticLine* StaticLine6;
        wxCheckBox* CheckBox14;
        wxSlider* Slider23;
        wxStaticText* StaticText14;
        wxStaticText* StaticText30;
        wxSlider* Slider5;
        wxCheckBox* CheckBox26;
        wxButton* Button1;
        wxCheckBox* CheckBox19;
        wxStaticText* StaticText6;
        wxStaticText* StaticText26;
        wxStaticLine* StaticLine9;
        wxSlider* Slider27;
        wxSlider* Slider24;
        wxCheckBox* CheckBox24;
        wxSlider* Slider18;
        wxSlider* Slider3;
        wxStaticText* StaticText32;
        wxCheckBox* CheckBox30;
        wxStaticText* StaticText19;
        wxStaticText* StaticText8;
        wxStaticText* StaticText11;
        wxStaticLine* StaticLine14;
        wxCheckBox* CheckBox3;
        wxStaticText* StaticText18;
        wxCheckBox* CheckBox15;
        wxCheckBox* CheckBox2;
        wxCheckBox* CheckBox6;
        wxSlider* Slider32;
        wxSlider* Slider7;
        wxCheckBox* CheckBox27;
        wxPanel* Panel1;
        wxBitmapButton* BitmapButton2;
        wxStaticText* StaticText31;
        wxCheckBox* CheckBox21;
        wxStaticText* StaticText1;
        wxStaticText* StaticText27;
        wxSlider* Slider34;
        wxStaticText* StaticText3;
        wxStaticLine* StaticLine7;
        wxBitmapButton* BitmapButton1;
        wxButton* Button2;
        wxBoxSizer* BoxSizer12;
        wxPanel* Panel6;
        wxStaticLine* StaticLine4;
        wxPanel* Panel3;
        wxStaticText* StaticText21;
        wxCheckBox* CheckBox1;
        wxCheckBox* CheckBox29;
        wxStaticLine* StaticLine2;
        wxSlider* Slider22;
        wxButton* Button6;
        wxStaticText* StaticText23;
        wxSlider* Slider13;
        wxStaticText* StaticText24;
        wxSlider* Slider11;
        wxButton* Button5;
        wxCheckBox* CheckBox28;
        wxSlider* Slider20;
        wxSlider* Slider9;
        wxButton* Button3;
        wxTimer Timer2;
        wxCheckBox* CheckBox13;
        wxStaticLine* StaticLine13;
        wxStaticText* StaticText5;
        wxStaticText* StaticText34;
        wxButton* Button7;
        wxStaticText* StaticText7;
        wxCheckBox* CheckBox17;
        wxCheckBox* CheckBox10;
        wxPanel* Panel7;
        wxSlider* Slider15;
        wxStatusBar* StatusBar1;
        wxSlider* Slider19;
        wxCheckBox* CheckBox12;
        wxSlider* Slider16;
        wxSlider* Slider4;
        wxButton* Button9;
        wxBitmapButton* BitmapButton6;
        wxStaticLine* StaticLine3;
        wxStaticLine* StaticLine1;
        wxTextCtrl* TextCtrl2;
        wxCheckBox* CheckBox4;
        wxSlider* Slider12;
        wxBitmapButton* BitmapButton7;
        wxBitmapButton* BitmapButton4;
        wxSlider* Slider21;
        wxCheckBox* CheckBox8;
        wxSlider* Slider37;
        wxStaticText* StaticText28;
        wxTextCtrl* TextCtrl1;
        wxSlider* Slider8;
        wxCheckBox* CheckBox7;
        wxSlider* Slider33;
        wxStaticText* StaticText15;
        wxStaticText* StaticText12;
        wxBitmapButton* BitmapButton3;
        wxStaticText* StaticText35;
        wxSlider* Slider30;
        wxCheckBox* CheckBox20;
        wxPanel* Panel2;
        wxCheckBox* CheckBox16;
        wxCheckBox* CheckBox5;
        wxSlider* Slider6;
        wxCheckBox* CheckBox22;
        wxCheckBox* CheckBox31;
        wxStaticText* StaticText25;
        wxCheckBox* CheckBox11;
        wxStaticLine* StaticLine11;
        wxStaticText* StaticText36;
        wxSlider* Slider25;
        wxStaticText* StaticText4;
        wxStaticText* StaticText17;
        wxTextCtrl* TextCtrl3;
        wxCheckBox* CheckBox18;
        wxSlider* Slider31;
        wxChoice* Choice1;
        wxSlider* Slider36;
        wxStaticText* StaticText16;
        wxButton* Button8;
        wxChoice* Choice2;
        wxSlider* Slider14;
        wxTimer Timer1;
        wxSlider* Slider29;
        wxStaticLine* StaticLine5;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // PIC_USBMAIN_H
